Bug 479322 - gnome-power-manager shows bogus battery information
gnome-power-manager shows bogus battery information
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 477943 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-08 15:27 EST by Kjartan Maraas
Modified: 2010-06-28 07:04 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:04:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2009-01-08 15:27:02 EST
Description of problem:

When I log in I get the following notification bubble:

 - libnotify: Power Manager : Your battery has a very low capacity (0%), which means that it may be old or broken.

in the notification icon I see it showing "Laptop battery (nan%)"

using acpitool -B I get all the expected information:

[kmaraas@laptop126 ~]$ acpitool -B
  Battery #1     : present
    Remaining capacity : 3184 mAh, 89.61%, 00:27:40
    Design capacity    : 3553 mAh
    Last full capacity : 3553 mAh
    Present rate       : 800 mA
    Charging state     : charged
    Battery type       : rechargeable, LIon
    Model number       : Travel
    Serial number      : 59612 2007/0
  Battery #2     : present
    Remaining capacity : 4540 mAh, 93.65%, 00:24:00
    Design capacity    : 4848 mAh
    Last full capacity : 4848 mAh
    Present rate       : 770 mA
    Charging state     : charging
    Battery type       : rechargeable, LIon
    Model number       : Primary
    Serial number      : 05918 2008/0

Looks like hal has the right info too:

[kmaraas@laptop126 ~]$ lshal | grep battery
udi = '/org/freedesktop/Hal/devices/computer_power_supply_battery_C1B3'
  battery.charge_level.current = 45849  (0xb319)  (int)
  battery.charge_level.design = 51163  (0xc7db)  (int)
  battery.charge_level.last_full = 51163  (0xc7db)  (int)
  battery.charge_level.percentage = 89  (0x59)  (int)
  battery.charge_level.rate = 11520  (0x2d00)  (int)
  battery.is_rechargeable = true  (bool)
  battery.model = 'Travel'  (string)
  battery.present = true  (bool)
  battery.rechargeable.is_charging = false  (bool)
  battery.rechargeable.is_discharging = false  (bool)
  battery.reporting.current = 3184  (0xc70)  (int)
  battery.reporting.design = 3553  (0xde1)  (int)
  battery.reporting.last_full = 3553  (0xde1)  (int)
  battery.reporting.rate = 800  (0x320)  (int)
  battery.reporting.technology = 'Li-ion'  (string)
  battery.reporting.unit = 'mAh'  (string)
  battery.serial = '59612 2007/09/24'  (string)
  battery.technology = 'lithium-ion'  (string)
  battery.type = 'primary'  (string)
  battery.vendor = 'Hewlett-Packard'  (string)
  battery.voltage.current = 16769  (0x4181)  (int)
  battery.voltage.design = 14400  (0x3840)  (int)
  battery.voltage.unit = 'mV'  (string)
  info.capabilities = {'battery'} (string list)
  info.category = 'battery'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_power_supply_battery_C1B3'  (string)
udi = '/org/freedesktop/Hal/devices/computer_power_supply_battery_C1B4'
  battery.charge_level.current = 50036  (0xc374)  (int)
  battery.charge_level.design = 52358  (0xcc86)  (int)
  battery.charge_level.last_full = 52358  (0xcc86)  (int)
  battery.charge_level.percentage = 95  (0x5f)  (int)
  battery.charge_level.rate = 6372  (0x18e4)  (int)
  battery.is_rechargeable = true  (bool)
  battery.model = 'Primary'  (string)
  battery.present = true  (bool)
  battery.rechargeable.is_charging = true  (bool)
  battery.rechargeable.is_discharging = false  (bool)
  battery.remaining_time = 1311  (0x51f)  (int)
  battery.reporting.current = 4633  (0x1219)  (int)
  battery.reporting.design = 4848  (0x12f0)  (int)
  battery.reporting.last_full = 4848  (0x12f0)  (int)
  battery.reporting.rate = 590  (0x24e)  (int)
  battery.reporting.technology = 'Li-ion'  (string)
  battery.reporting.unit = 'mAh'  (string)
  battery.serial = '05918 2008/07/28'  (string)
  battery.technology = 'lithium-ion'  (string)
  battery.type = 'primary'  (string)
  battery.vendor = 'Hewlett-Packard'  (string)
  battery.voltage.current = 12551  (0x3107)  (int)
  battery.voltage.design = 10800  (0x2a30)  (int)
  battery.voltage.unit = 'mV'  (string)
  info.capabilities = {'battery'} (string list)
  info.category = 'battery'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_power_supply_battery_C1B4'  (string)
  input.keymap.data = {'e001:fn_esc', 'e009:battery', 'e00a:screenlock', 'e00b:camera', 'e00c:media', 'e00e:dvd', 'e031:help', 'e033:f21', 'e057:wlan', 'e008:presentation', 'e059:info'} (string list)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard Hughes 2009-01-14 08:23:10 EST
Fixed with the packages in rawhide now? Thanks.
Comment 2 Kjartan Maraas 2009-01-14 11:13:56 EST
I have the latest from rawhide and didn't find a newer packag in koji?

[kmaraas@localhost ~]$ rpm -qa gnome-power-manager*
gnome-power-manager-2.25.2-1.fc11.i386
gnome-power-manager-debuginfo-2.25.2-1.fc11.i386
Comment 3 Robert Thomas 2009-01-29 03:10:15 EST
*** Bug 477943 has been marked as a duplicate of this bug. ***
Comment 4 Adrien Bustany 2009-02-10 04:36:44 EST
I also observe bogus battery information : g-p-m will display a charging icon while my battery is discharging (and a charge of 100% while it's lower). The bogus information usually appears after a suspend-resume cycle, and then I can't get the real information, even by restarting the app.

I have gnome-power-manager-2.25.3-3.fc11.x86_64 and hal-0.5.12-19.20081219git.fc11.x86_64

might it be a devicekit bug ?
Comment 5 Adrien Bustany 2009-02-18 06:38:39 EST
Hi,
Using the latest rawhide version, I still observe the bug. However, I found out that calling the Refresh method on the battery (/org/freedesktop/DeviceKit/Power/devices/battery_BAT1) does wake g-p-m up. So should we call the refresh method after a wake up from S2RAM ?
Comment 6 Michel Alexandre Salim 2009-05-17 19:49:45 EDT
The solution here works:

http://bugs.archlinux.org/task/14262

should this bug be reassigned to pm-utils (where the workaround needs to be implemented) or to DeviceKit?
Comment 7 Richard Hughes 2009-06-03 04:00:22 EDT
Can you try installing https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5740 and https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5728 and then reboot please.
Comment 8 Bug Zapper 2009-06-09 06:37:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Orlando Arias 2009-06-17 02:11:04 EDT
Installed latest batch of updates (the updates included the two linked rpms). Rebooted system as per instructions.

Disconnected power cable, as per configuration, screen dimmed. However, the notification icon did not change, shows battery fully charged status. Sometimes, in power history, it shows the AC adaptor being online when it has been disconnected. Connecting AC adaptor back on shows charging icon, however notification displays "Battery fully charged."

As stated before, using latest versions of the two packages:
DeviceKit-power-008-1.fc11.x86_64
gnome-power-manager-2.26.2-1.fc11.x86_64
Comment 10 Jonathan 2009-06-23 18:46:14 EDT
Possible extra information on the same bug:

gnome power manager shows laptop on battery and "battery discharging" for both of two present batteries when connected to AC. Disconnecting / reconnecting AC does not change this but the screen dims /undims correctly when AC is cycled.

This is for gnome-power-manager-2.26.2-1.fc11.i586

And yes, this is the first time I use bugzilla so I appreciate education If I did this wrong.
Comment 11 Richard Hughes 2009-08-20 07:49:41 EDT
Does installing the latest gnome-power-manager and DeviceKit packages in updates-testing (and then rebooting...) fix the problem?
Comment 12 Kjartan Maraas 2009-08-20 15:35:30 EDT
After pulling the cord on my laptop it still shows the fully charged icon even though the first battery is discharging. Should probably show some sign that we're discharging before the first battery has run out?
Comment 13 Mark Watts 2009-09-16 18:23:38 EDT
gnome-power-manager-2.26.4-3.fc11.i586
Dell Inspiron 1010 (Mini 10)
http://www.smolts.org/client/show/pub_593b3d73-6782-4e15-bc3f-23f0034dcb7a 

g-p-m appears to properly display discharge percentages after a clean boot, but will display "100% Charged" after a hibernate/resume cycle, even when the power LED on the laptop is flashing a low-power warning. Hibernate/resume was carried out on battery power.

Plugging the AC Power in seems to kick something since the icon changes to the plugged-in state and properly says it is charging from ~10%. Subsequent removal of the AC lead shows On-Battery at a sensible charge level (ie: not 100%).

Hibernate/Resume on AC power does not have this issue - battery charge status is properly reflected and continues to update after resume.
Comment 14 Kjartan Maraas 2009-09-17 14:15:28 EDT
It works most of the time here as well. The only thing I've seen so far is that sometimes when coming out from suspend it shows the wrong icon. It shows the batteries as empty with a red X instead of the correct charge info.
Comment 15 Bug Zapper 2010-04-27 08:42:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-06-28 07:04:51 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.